package com.example;

import java.net.URL;
import java.util.ResourceBundle;

import javafx.application.Application;
import javafx.beans.value.ObservableValue;
import javafx.fxml.FXML;
import javafx.fxml.FXMLLoader;
import javafx.fxml.Initializable;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.PasswordField;
import javafx.scene.control.TextField;
import javafx.stage.Stage;

public class Main extends Application implements Initializable {
	
	public static void main(String[] args) {
		launch(args);
	}
	
	@FXML TextField     tfUsername;
	@FXML PasswordField pfPassword;
	@FXML Button        btnLogin;

	@Override
	public void start(Stage primaryStage) throws Exception {
		FXMLLoader loader = new FXMLLoader(getClass().getResource("Main.fxml"));
		loader.setController(this);
		
		Parent root = (Parent)loader.load();
		Scene scene = new Scene(root);
		primaryStage.setScene(scene);
		primaryStage.show();
	}

	@Override
	public void initialize(URL location, ResourceBundle resources) {
		btnLogin.setDisable(true);
		tfUsername.textProperty().addListener(this::tfUsername_onTextChanged);
		pfPassword.textProperty().addListener(this::pfPassword_onTextChanged);
	}
	
	// このメソッドはユーザー名のテキストが変化したときに呼ばれます
	protected void tfUsername_onTextChanged(
			ObservableValue<?> observable, String oldValue, String newValue) {

		if(newValue.isEmpty() || pfPassword.getText().isEmpty()) {
			btnLogin.setDisable(true);
		} else {
			btnLogin.setDisable(false);
		}
	}
	
	// このメソッドはパスワードのテキストが変化したときに呼ばれます
	protected void pfPassword_onTextChanged(
			ObservableValue<?> observable, String oldValue, String newValue) {

		if(newValue.isEmpty() || tfUsername.getText().isEmpty()) {
			btnLogin.setDisable(true);
		} else {
			btnLogin.setDisable(false);
		}
	}
}
